# Disconnect

{% hint style="info" %}
This function does not trigger any UI elements
{% endhint %}

## Description

Function that clears the user password saved in local storage. The user will be prompted to enter their password again the next time they try to interact with their wallet.&#x20;

This function should be called when the user logs out of their account.

## Details

### Signature

`Disconnect()`

### Arguments

This function has no arguments

### Return Value

None

## Example

{% code lineNumbers="true" %}

```jsx
import { useMetafi } from '@metafi/metafi-react-package';

function logoutUser() {
    const { Disconnect } = useMetafi();
    
    return (
        <>
           <button onClick={()=>Disconnect()}>Logout</button>
        </>
    );
};
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemeta.fi/react-sdk/sdk-reference/disconnect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
